import { Trigger } from '../../api/common/trigger.js';
import { ApplyQueryTriggerModificationPayload } from './triggers-actions.js';
import { TriggerState } from './triggers-state.js';
export declare function handleFetchItemsPending(state: TriggerState): TriggerState;
export declare function handleFetchItemsFulfilled(state: TriggerState, triggers: Trigger[]): TriggerState;
export declare function handleApplyQueryTriggerModification(state: TriggerState, payload: ApplyQueryTriggerModificationPayload): TriggerState;
export declare function handleUpdateIgnoreQueryTrigger(state: TriggerState, payload: string): TriggerState;
